﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DataBindingRadHtmlChart.aspx.cs"
	Inherits="DataBindingRadHtmlChart" %>

<%@ Register TagPrefix="telerik" Namespace="Telerik.Web.UI" Assembly="Telerik.Web.UI" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
	<title></title>
</head>
<body>
	<form id="form1" runat="server">
	<asp:ScriptManager ID="Scriptmanager1" runat="server" />
	<div>
		<asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:TelerikConnectionString %>"
			SelectCommand="SELECT d1.[Year], d1.[Value] AS FirstValue, d2.[Value] AS SecondValue FROM [Data] AS d1, [Data] AS d2 WHERE (d1.[Subcategory_Id] = 1) AND (d2.[Subcategory_Id] = 2) AND d1.[Year] = d2.[Year] ">
		</asp:SqlDataSource>
		<telerik:RadHtmlChart runat="server" Width="800px" Height="500px" ID="RadHtmlChart1"
			DataSourceID="SqlDataSource1">
			<PlotArea>
				<Series>
					<telerik:LineSeries DataField="FirstValue" Name="Electricity Consumption">
					</telerik:LineSeries>
					<telerik:LineSeries DataField="SecondValue" Name="Electricity Consumption">
					</telerik:LineSeries>
				</Series>
				<XAxis DataLabelsField="Year">
					<LabelsAppearance RotationAngle="75" />
					<TitleAppearance Text="Year" />
				</XAxis>
				<YAxis>
					<TitleAppearance Text="MWh" />
				</YAxis>
			</PlotArea>
			<Legend>
				<Appearance Visible="false" />
			</Legend>
			<ChartTitle Text="Electricity Consumption">
			</ChartTitle>
		</telerik:RadHtmlChart>
		<telerik:RadGrid runat="server" ID="RadGrid1" DataSourceID="SqlDataSource1">
		</telerik:RadGrid>
	</div>
	</form>
</body>
</html>
